Bug 274531 - winbindd: string overflow by 1 error in lib/util_str.c:safe_strcpy_fn(659)
winbindd: string overflow by 1 error in lib/util_str.c:safe_strcpy_fn(659)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
: Reopened
Depends On: 368811
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 08:39 EDT by Helge Deller
Modified: 2008-06-16 22:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: samba-common-3.0.26a-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:18:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Helge Deller 2007-09-02 08:39:07 EDT
Description of problem:
The /var/log/samba/log.winbindd log file reports:

[2007/08/30 15:18:12, 0] lib/util_str.c:safe_strcpy_fn(659)
  ERROR: string overflow by 1 (256 - 255) in safe_strcpy 
[4368392-1501187911-691354
  S-1-5-21-42933632-212436]
[2007/08/30 15:18:12, 0] lib/util_str.c:safe_strcpy_fn(659)
  ERROR: string overflow by 1 (256 - 255) in safe_strcpy [
  S-1-5-21-42933632-2124368392-1501187911-220208
  S-]
<...and a few more, all in lib/util_str.c, 659...>

Version-Release number of selected component (if applicable):
> rpm -qf /usr/sbin/winbindd
samba-common-3.0.25b-2.fc7

How reproducible:
Always.
An additional note: This winbindd is running in a network with more than 
40.000 Windows users. But this is probably not relevant to this bug.
Comment 1 Simo Sorce 2007-09-03 14:07:45 EDT
Can you test 3.0.25c (just push into stable, it may take some time to get to
mirrors, but you can find it in testing updates) and see if you can still
reproduce this error with it ?
Comment 2 Christian Mandery 2007-09-04 05:57:34 EDT
I installed Samba from testing using "yum --enablerepo=updates-testing update
samba" and experienced no problems after some first basic tests.

If the error occurs again, I will tell you but I think the problem is fixed in
3.0.25c.
Comment 3 Helge Deller 2007-10-10 16:13:32 EDT
Bug is back again in samba-common-3.0.26a-0.fc7:

Oct 10 14:05:01 ls3163 winbindd[30376]: [2007/10/10 14:05:01, 0] 
lib/util_str.c:safe_strcpy_fn(659)
Oct 10 14:05:01 ls3163 winbindd[30376]:   ERROR: string overflow by 1 (256 - 
255) in safe_strcpy [
Oct 10 14:05:01 ls3163 winbindd[30376]:   
S-1-5-21-42933632-2124368392-1501187911-692437
Oct 10 14:05:01 ls3163 winbindd[30376]:   S-]
Comment 4 Helge Deller 2007-10-31 10:23:52 EDT
this string overflow error appears suddenly more often now...
Comment 5 Helge Deller 2007-11-06 15:05:58 EST
Ok, bug seems to be gone now again with samba-common-3.0.26a-6.fc7, but 
instead I now see the problem I reported in Bug 368811.
Comment 6 Helge Deller 2007-11-13 13:42:04 EST
I was wrong. 
samba-common-3.0.26a-6.fc7 now has this one:

winbindd[2125]: [2007/11/13 17:30:02, 0] lib/util_str.c:safe_strcpy_fn(659)
winbindd[2125]:   ERROR: string overflow by 1 (256 - 255) in safe_strcpy 
[could not lookup sid

Comment 7 Simo Sorce 2007-11-13 16:00:22 EST
Unfortunately this log entry does not give me enough information to understand
where it happens.
Have you related this event with other conditions?
How often that happens?
When this happen do you have errors on the clients? Denied authentication or
anything like that?
Or is the only effect an annoying filling of the logs?
Comment 8 Helge Deller 2007-11-14 14:05:22 EST
Sorry, I don't see any other issues which might have influenced that.
After reboot, the machine has now an uptime of 2 days.
I saw two of those now, sow it happens currently once a day.
Doesn't the string "could not lookup sid" helps in finding the culprit ?
Comment 9 Bug Zapper 2008-05-14 10:12:34 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 22:18:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.